#include "api/df_logging.h"
#include "datafox_library_iv.h"

DF_API_EXTERN_DECORATE void DF_API_CALL DFCSetLogFileName( int connectionId, const char *filePath )
{
    ChannelBridge *channelBridge = theApp.channelBridge( connectionId );
    // Wurde Channel-Objekt ermittelt.
    if ( channelBridge == nullptr )
        return;

    // Fehlerwert zuruecksetzen.
    channelBridge->setLastErrorNumber(0, IV_ERROR_SUCCESS);

    channelBridge->logBegin( "%s\t%i\t%s", __func__, connectionId,
        (filePath == NULL) ? "" : (char*)filePath );

    // zulaessige Bereiche pruefen
    if ( filePath == NULL )
    {
        channelBridge->setLastErrorNumber(0, IV_ERROR_FUNCTION_PARAMETER);

        channelBridge->logEnd( "" );
        return;
    }

    channelBridge->setLogFileName( filePath );

    channelBridge->logEnd( "" );
}

DF_API_EXTERN_DECORATE void DF_API_CALL DFCSetLogOn( int connectionId )
{
    ChannelBridge *channelBridge = theApp.channelBridge( connectionId );
    // Wurde Channel-Objekt ermittelt?
    if (channelBridge == nullptr)
        return;

    // Fehlerwert zuruecksetzen.
    channelBridge->setLastErrorNumber(0, IV_ERROR_SUCCESS);

    channelBridge->logBegin( "%s\t%i", __func__, connectionId );

    // Pruefe ob Channel vorhanden
    channelBridge->setLogOn();

    channelBridge->logEnd( "" );
}

DF_API_EXTERN_DECORATE void DF_API_CALL DFCSetLogOff( int connectionId )
{
    ChannelBridge *channelBridge = theApp.channelBridge(connectionId);
    // Wurde Channel-Objekt ermittelt.
    if (channelBridge == nullptr)
        return;

    // Fehlerwert zuruecksetzen.
    channelBridge->setLastErrorNumber(0, IV_ERROR_SUCCESS);

    channelBridge->logBegin("%s\t%i", __func__, connectionId);

    channelBridge->setLogOff();

    channelBridge->logEnd("");
}

DF_API_EXTERN_DECORATE int DF_API_CALL DFCLogOn( const char *filePath )
{
    (void)filePath;

    //	channelBridge->logBegin("%s\t%s", __func__, (szFileName == 0) ? "" : szFileName);

    //	channelBridge->logEnd("\t(%i)", 0);
    // Wird nicht mehr unterstuetzt!
    return 0;
}

DF_API_EXTERN_DECORATE void DF_API_CALL DFCLogOff()
{
    //	channelBridge->logBegin("%s", __func__);
    //	channelBridge->logEnd("");
    // Wird nicht mehr unterstuetzt!
}
